Update entity
PUT
/entities/{id}
const url = 'https://shoehorn.example.com/api/v1/entities/example';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","description":"example","owner":"example","lifecycle":"example","tier":"example","tags":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://shoehorn.example.com/api/v1/entities/example \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example", "owner": "example", "lifecycle": "example", "tier": "example", "tags": [ "example" ] }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
name
string
description
string
owner
string
lifecycle
string
tier
string
tags
Array<string>
Example generated
{ "name": "example", "description": "example", "owner": "example", "lifecycle": "example", "tier": "example", "tags": [ "example" ]}Responses
Section titled “ Responses ”Updated entity